# Class TGetFunctionsReq

java.lang.Object
com.databricks.jdbc.model.client.thrift.generated.TGetFunctionsReq

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TGetFunctionsReq>`, `org.apache.thrift.TBase<TGetFunctionsReq,TGetFunctionsReq._Fields>`, `org.apache.thrift.TSerializable`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class TGetFunctionsReq extends Object implements org.apache.thrift.TBase<TGetFunctionsReq,TGetFunctionsReq._Fields>, Serializable, Cloneable, Comparable<TGetFunctionsReq>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TGetFunctionsReq._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`catalogName`
`String`
`functionName`
`TSparkGetDirectResults`
`getDirectResults`
`static final Map<TGetFunctionsReq._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`
`boolean`
`runAsync`
`String`
`schemaName`
`TSessionHandle`
`sessionHandle`

## Constructor Summary

Constructors
Constructor
Description
`TGetFunctionsReq()`
`TGetFunctionsReq(TGetFunctionsReq other)`
Performs a deep copy on other.
`TGetFunctionsReq(TSessionHandle sessionHandle, String functionName)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`int`
`compareTo(TGetFunctionsReq other)`
`TGetFunctionsReq`
`deepCopy()`
`boolean`
`equals(TGetFunctionsReq that)`
`boolean`
`equals(Object that)`
`TGetFunctionsReq._Fields`
`fieldForId(int fieldId)`
`String`
`getCatalogName()`
`Object`
`getFieldValue(TGetFunctionsReq._Fields field)`
`String`
`getFunctionName()`
`TSparkGetDirectResults`
`getGetDirectResults()`
`String`
`getSchemaName()`
`TSessionHandle`
`getSessionHandle()`
`int`
`hashCode()`
`boolean`
`isRunAsync()`
`boolean`
`isSet(TGetFunctionsReq._Fields field)`
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean`
`isSetCatalogName()`
Returns true if field catalogName is set (has been assigned a value) and false otherwise
`boolean`
`isSetFunctionName()`
Returns true if field functionName is set (has been assigned a value) and false otherwise
`boolean`
`isSetGetDirectResults()`
Returns true if field getDirectResults is set (has been assigned a value) and false otherwise
`boolean`
`isSetRunAsync()`
Returns true if field runAsync is set (has been assigned a value) and false otherwise
`boolean`
`isSetSchemaName()`
Returns true if field schemaName is set (has been assigned a value) and false otherwise
`boolean`
`isSetSessionHandle()`
Returns true if field sessionHandle is set (has been assigned a value) and false otherwise
`void`
`read(org.apache.thrift.protocol.TProtocol iprot)`
`TGetFunctionsReq`
`setCatalogName(String catalogName)`
`void`
`setCatalogNameIsSet(boolean value)`
`void`
`setFieldValue(TGetFunctionsReq._Fields field, Object value)`
`TGetFunctionsReq`
`setFunctionName(String functionName)`
`void`
`setFunctionNameIsSet(boolean value)`
`TGetFunctionsReq`
`setGetDirectResults(TSparkGetDirectResults getDirectResults)`
`void`
`setGetDirectResultsIsSet(boolean value)`
`TGetFunctionsReq`
`setRunAsync(boolean runAsync)`
`void`
`setRunAsyncIsSet(boolean value)`
`TGetFunctionsReq`
`setSchemaName(String schemaName)`
`void`
`setSchemaNameIsSet(boolean value)`
`TGetFunctionsReq`
`setSessionHandle(TSessionHandle sessionHandle)`
`void`
`setSessionHandleIsSet(boolean value)`
`String`
`toString()`
`void`
`unsetCatalogName()`
`void`
`unsetFunctionName()`
`void`
`unsetGetDirectResults()`
`void`
`unsetRunAsync()`
`void`
`unsetSchemaName()`
`void`
`unsetSessionHandle()`
`void`
`validate()`
`void`
`write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### sessionHandle

public TSessionHandle sessionHandle

### catalogName

public String catalogName

### schemaName

public String schemaName

### functionName

public String functionName

### getDirectResults

public TSparkGetDirectResults getDirectResults

### runAsync

public boolean runAsync

### metaDataMap

public static final Map<TGetFunctionsReq._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### TGetFunctionsReq

public TGetFunctionsReq()

### TGetFunctionsReq

public TGetFunctionsReq(TSessionHandle sessionHandle, String functionName)

### TGetFunctionsReq

public TGetFunctionsReq(TGetFunctionsReq other)
Performs a deep copy on other.

## Method Details

### deepCopy

public TGetFunctionsReq deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TGetFunctionsReq,TGetFunctionsReq._Fields>`

### clear

public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TGetFunctionsReq,TGetFunctionsReq._Fields>`

### getSessionHandle

public TSessionHandle getSessionHandle()

### setSessionHandle

public TGetFunctionsReq setSessionHandle(TSessionHandle sessionHandle)

### unsetSessionHandle

public void unsetSessionHandle()

### isSetSessionHandle

public boolean isSetSessionHandle()
Returns true if field sessionHandle is set (has been assigned a value) and false otherwise

### setSessionHandleIsSet

public void setSessionHandleIsSet(boolean value)

### getCatalogName

public String getCatalogName()

### setCatalogName

public TGetFunctionsReq setCatalogName(String catalogName)

### unsetCatalogName

public void unsetCatalogName()

### isSetCatalogName

public boolean isSetCatalogName()
Returns true if field catalogName is set (has been assigned a value) and false otherwise

### setCatalogNameIsSet

public void setCatalogNameIsSet(boolean value)

### getSchemaName

public String getSchemaName()

### setSchemaName

public TGetFunctionsReq setSchemaName(String schemaName)

### unsetSchemaName

public void unsetSchemaName()

### isSetSchemaName

public boolean isSetSchemaName()
Returns true if field schemaName is set (has been assigned a value) and false otherwise

### setSchemaNameIsSet

public void setSchemaNameIsSet(boolean value)

### getFunctionName

public String getFunctionName()

### setFunctionName

public TGetFunctionsReq setFunctionName(String functionName)

### unsetFunctionName

public void unsetFunctionName()

### isSetFunctionName

public boolean isSetFunctionName()
Returns true if field functionName is set (has been assigned a value) and false otherwise

### setFunctionNameIsSet

public void setFunctionNameIsSet(boolean value)

### getGetDirectResults

public TSparkGetDirectResults getGetDirectResults()

### setGetDirectResults

public TGetFunctionsReq setGetDirectResults(TSparkGetDirectResults getDirectResults)

### unsetGetDirectResults

public void unsetGetDirectResults()

### isSetGetDirectResults

public boolean isSetGetDirectResults()
Returns true if field getDirectResults is set (has been assigned a value) and false otherwise

### setGetDirectResultsIsSet

public void setGetDirectResultsIsSet(boolean value)

### isRunAsync

public boolean isRunAsync()

### setRunAsync

public TGetFunctionsReq setRunAsync(boolean runAsync)

### unsetRunAsync

public void unsetRunAsync()

### isSetRunAsync

public boolean isSetRunAsync()
Returns true if field runAsync is set (has been assigned a value) and false otherwise

### setRunAsyncIsSet

public void setRunAsyncIsSet(boolean value)

### setFieldValue

public void setFieldValue(TGetFunctionsReq._Fields field, Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TGetFunctionsReq,TGetFunctionsReq._Fields>`

### getFieldValue

public Object getFieldValue(TGetFunctionsReq._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TGetFunctionsReq,TGetFunctionsReq._Fields>`

### isSet

public boolean isSet(TGetFunctionsReq._Fields field)
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TGetFunctionsReq,TGetFunctionsReq._Fields>`

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(TGetFunctionsReq that)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(TGetFunctionsReq other)

Specified by:
  `compareTo` in interface `Comparable<TGetFunctionsReq>`

### fieldForId

public TGetFunctionsReq._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TGetFunctionsReq,TGetFunctionsReq._Fields>`

### read

public void read(org.apache.thrift.protocol.TProtocol iprot) throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### write

public void write(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### validate

public void validate() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`